package com.leromro.core.mapper;

import com.leromro.core.domain.VolunteerInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * <p>
 * 志愿者信息表 Mapper 接口
 * </p>
 *
 * @author lr
 * @since 2025-04-07
 */
public interface VolunteerInfoMapper extends BaseMapper<VolunteerInfo> {

    void newVolunteerByUserId(VolunteerInfo volunteerInfo);

    List<VolunteerInfo> selectVolunteerInfoSimple(VolunteerInfo volunteerInfo);

    VolunteerInfo selectLVolunteerInfoByVolunteerId(Long volunteerId);
}
